%define	module	Catalyst-Engine-Apache
%define	name	perl-%{module}
%define	modprefix Catalyst

%define version 1.07
%define release %mkrel 3

Summary:	Catalyst Apache Engines
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst)
BuildRequires:  perl(Module::Build)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Requires:	apache-mod_perl

%description
This package contains mod_perl handlers for Catalyst.

%define _requires_exceptions perl(A

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%buildroot

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/%{modprefix}
%{_mandir}/man3/*



%changelog
* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:39:58 (54283)
- Rebuild, spec file cleanup

* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:35:44 (54279)
- import perl-Catalyst-Engine-Apache-1.07-2mdk

* Thu May 04 2006 Scott Karns <scottk@mandriva.org> 1.07-2mdk
- Adjusted BuildRequires

* Fri Mar 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.07-1mdk
- 1.07

* Tue Feb 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.06-1mdk
- 1.06

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.05-1mdk
- 1.05

* Tue Dec 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-1mdk
- 1.03
- Adjust requires and build-requires

* Sat Dec 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-1mdk
- Initial MDV package

